
OpenRTM-aist (C++) - 機能 #3881

Manager::create_component()でdllを検索する機能をOFFにする機能
2017/01/23 08:44 - kanehiro

ステータス: 終了 開始日: 2017/01/23

優先度: 通常 期日:  

担当者: n-miyamoto 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン:    

説明

Manager::create_component()でコンポーネントを定義したdllがロードされていないと考えられる場合、dll（so）をしらみつぶしに
ロードしてみる機能があるかと思うのですが、これが大量のエラーメッセージをはいたり、途中で止まったりするので、これをOFF
にしたいと思います。
この機能は既にあるでしょうか。なければ追加できるでしょうか。

関係しているリビジョン
リビジョン 2954 - 2017/02/22 14:59 - miyamoto

[compat,->RELENG_1_2] refs #3881

リビジョン 2954 - 2017/02/22 14:59 - miyamoto

[compat,->RELENG_1_2] refs #3881

リビジョン 2954 - 2017/02/22 14:59 - miyamoto

[compat,->RELENG_1_2] refs #3881

リビジョン 3100 - 2017/12/10 09:10 - n-ando

merged chages from trunk/OpenRTM-aist r2913-2955 during 2017-02:
[compat,->RELENG_1_2] The installation of the rpm package of openrtm-aist-example and openrtm-aist-doc has been changed. refs #3893
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889
[compat,format,->RELENG_1_2] Indent modified.
[incompat,new func,->RELENG_1_2] Logging system now supports logstream loadable modules. refs #3567
[incompat,new func,->RELENG_1_2] A function to convert from URL parameter to map has been added.
[compat,format,->RELENG_1_2] Newline added.
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[compat,->RELENG_1_2] Types have been changed because of compilation warning. refs #3902
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3901
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3900
[build,->RELENG_1_2] Monky include path has been added.
[prop,->RELENG_1_2] ignore Makefile.in Makefile.
[compat,->RELENG_1_2] C style cast convrted to static_cast. refs #3902
[comapt,conf_file,->RELENG_1_2] fluent-bit log stream configuration example has been added rtc.conf.sample
[compat,build,->RELENG_1_2] CXXFLAGS incuding Wall -fPIC -O2 has been removed in openrtm-aist.pc. refs #3714
[compat,build,dist,>RELENG_1_2] ClockManager.cpp was not properly included dist package.
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.
[compat,->RELENG_1_2] refs #3881
[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579

リビジョン 3100 - 2017/12/10 09:10 - n-ando

merged chages from trunk/OpenRTM-aist r2913-2955 during 2017-02:
[compat,->RELENG_1_2] The installation of the rpm package of openrtm-aist-example and openrtm-aist-doc has been changed. refs #3893
[compat,->RELENG_1_2] Links of rtmCamera and rtmManipulator have been added to OpenRTMConfig.cmake. refs #3889
[compat,bugfix,->RELENG_1_2] Fixed r2914. refs #3889
[compat,format,->RELENG_1_2] Indent modified.
[incompat,new func,->RELENG_1_2] Logging system now supports logstream loadable modules. refs #3567
[incompat,new func,->RELENG_1_2] A function to convert from URL parameter to map has been added.
[compat,format,->RELENG_1_2] Newline added.
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[incompat,new func,->RELENG_1_2] fluent-bit logger stream has been added. refs #3567
[compat,->RELENG_1_2] Types have been changed because of compilation warning. refs #3902
[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3901

2025/05/03 1/2



[compat,->RELENG_1_2] Some pragmas have been added to suppress warnings. refs #3900
[build,->RELENG_1_2] Monky include path has been added.
[prop,->RELENG_1_2] ignore Makefile.in Makefile.
[compat,->RELENG_1_2] C style cast convrted to static_cast. refs #3902
[comapt,conf_file,->RELENG_1_2] fluent-bit log stream configuration example has been added rtc.conf.sample
[compat,build,->RELENG_1_2] CXXFLAGS incuding Wall -fPIC -O2 has been removed in openrtm-aist.pc. refs #3714
[compat,build,dist,>RELENG_1_2] ClockManager.cpp was not properly included dist package.
[comapt,build,dist,->RELENG_1_2] logger ext lib is now included in dist package.
[compat,->RELENG_1_2] refs #3881
[incompat,bugfix,EC,->RELENG_1_2]Modified for OpenHRPExecutionContext. #3579

履歴
#1 - 2017/02/22 15:09 - n-miyamoto

- ステータス を 新規 から 担当 に変更

- 担当者 を n-miyamoto にセット

- 進捗率 を 0 から 100 に変更

機能を追加しました。

rtc.confで以下のようにmanager.modules.search_autoをNOに設定すれば、dllの検索機能をオフにできます。

manager.modules.search_auto:�NO

#2 - 2017/02/22 16:55 - kanehiro

- ステータス を 担当 から 終了 に変更

ありがとうございました。
